import request from '@/utils/request'

// 查询支付列表
export function listFor(query) {
  return request({
    url: '/authentication/for/list',
    method: 'get',
    params: query
  })
}

// 查询支付详细
export function getFor(id) {
  return request({
    url: '/authentication/for/' + id,
    method: 'get'
  })
}

// 新增支付
export function addFor(data) {
  return request({
    url: '/authentication/for',
    method: 'post',
    data: data
  })
}

// 修改支付
export function updateFor(data) {
  return request({
    url: '/authentication/for',
    method: 'put',
    data: data
  })
}

// 删除支付
export function delFor(id) {
  return request({
    url: '/authentication/for/' + id,
    method: 'delete'
  })
}
